<?php
/**
 * The template used for displaying image content
 *
 * @package tdgalactica
 * @since tdgalactica 1.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="entry-content">
	
		<?php if ( get_the_post_thumbnail() != ''  ): ?>
		
			<div class="wp-caption">
				<a href="<?php the_permalink() ?>"><?php the_post_thumbnail(); ?></a>
				<div class="wp-caption-text"><?php the_title(); ?></div>
			</div>
			
			<?php if ( is_single() ): ?>
				<?php the_content(); ?>
			<?php endif; ?>
			
		<?php else: ?>
		
			<div class="entry-content">
				<?php the_content(); ?>
			</div>
			
		<?php endif; ?>
	</div><!-- .entry-content -->
	<footer class="entry-meta bottom">
		<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'tdgalactica' ) );
				if ( $categories_list && tdgalactica_categorized_blog() ) :
			?>
			<span class="cat-links">
				<?php printf( __( 'Posted in %1$s', 'tdgalactica' ), $categories_list ); ?>
			</span>
			<?php endif; // End if categories ?>

			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', __( ', ', 'tdgalactica' ) );
				if ( $tags_list ) :
			?>
			<span class="sep"> / </span>
			<span class="tags-links">
				<?php printf( __( 'Tagged %1$s', 'tdgalactica' ), $tags_list ); ?>
			</span>
			<?php endif; // End if $tags_list ?>
		<?php endif; // End if 'post' == get_post_type() ?>
		
		<?php echo "/ <a href=".get_permalink().">". __( 'Read More', 'tdgalactica' )."</a>"; ?>

		<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
		<span class="sep"> / </span>
		<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'tdgalactica' ), __( '1 Comment', 'tdgalactica' ), __( '% Comments', 'tdgalactica' ) ); ?></span>
		<?php endif; ?>

		<?php edit_post_link( __( 'Edit', 'tdgalactica' ), '<span class="sep"> / </span><span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->
</article><!-- #post-<?php the_ID(); ?> -->