<?php
/**
 * The template used for displaying quote content
 *
 * @package tdgalactica
 * @since tdgalactica 1.0
 */
 
 global $post;
?>


<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="quote-entry-content">
		<?php 
			$content = get_post_field('post_content', $post->ID);
			echo '<p>' . $content . '</p>';
		?>
	</div><!-- .quote-entry-content -->
	
		<footer class="entry-meta bottom">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$category_list = get_the_category_list( __( ', ', 'tdgalactica' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', __( ', ', 'tdgalactica' ) );

			if ( ! tdgalactica_categorized_blog() ) {
				// This blog only has 1 category so we just need to worry about tags in the meta text
				if ( '' != $tag_list ) {
					$meta_text = __( 'This entry was tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'tdgalactica' );
				} else {
					$meta_text = __( 'Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'tdgalactica' );
				}

			} else {
				// But this blog has loads of categories so we should probably display them here
				if ( '' != $tag_list ) {
					$meta_text = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'tdgalactica' );
				} else {
					$meta_text = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'tdgalactica' );
				}

			} // end check for categories on this blog

			printf(
				$meta_text,
				$category_list,
				$tag_list,
				get_permalink(),
				the_title_attribute( 'echo=0' )
			);
		?>

		<?php edit_post_link( __( 'Edit', 'tdgalactica' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->

</article><!-- #post-<?php the_ID(); ?> -->

<div class="after-post-widget">
	<?php if ( ! dynamic_sidebar( 'sidebar-2' ) ) : ?>
	<?php endif; // end post-after widget area ?>
</div>