<?php
/**
 * @package tdgalactica
 * @since tdgalactica 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('post-index'); ?>>
	<header class="entry-header">
		<div class="row">
		
			<div class="nine columns">
				<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'tdgalactica' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			</div>
			
			<div class="one columns">
				<?php edit_post_link( __( 'Edit', 'tdgalactica' ), '<span class="edit-link">[', ']</span>' ); ?>
			</div>
			
			<span class="seperator hide-for-small"></span>
			<div class="two columns">
				<?php if ( 'post' == get_post_type() ) : ?>
					<div class="entry-meta">
						<?php tdgalactica_posted_on(); ?>
					</div><!-- .entry-meta -->
				<?php endif; ?>
			</div>
			
		</div>
	</header><!-- .entry-header -->

	<?php if ( is_search() ) : // Only display Excerpts for Search ?>
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	<?php else : ?>
	<div class="entry-content">
		<div class="post-thumb">
			<?php  if ( has_post_thumbnail() ) { the_post_thumbnail(); } ?>
		</div>
		<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'tdgalactica' ) ); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'tdgalactica' ), 'after' => '</div>' ) ); ?>
	</div><!-- .entry-content -->
	<?php endif; ?>

	<footer class="entry-meta bottom">
		<div class="row">
			<div class="nine columns links">
				<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
					<?php
						/* translators: used between list items, there is a space after the comma */
						$categories_list = get_the_category_list( __( ', ', 'tdgalactica' ) );
						if ( $categories_list && tdgalactica_categorized_blog() ) :
					?>
					<span class="cat-links">
						<?php printf( __( 'Posted in %1$s', 'tdgalactica' ), $categories_list ); ?>
					</span>
					<?php endif; // End if categories ?>
		
					<?php
						/* translators: used between list items, there is a space after the comma */
						$tags_list = get_the_tag_list( '', __( ', ', 'tdgalactica' ) );
						if ( $tags_list ) :
					?>
					<span class="sep"> / </span>
					<span class="tags-links">
						<?php printf( __( 'Tagged %1$s', 'tdgalactica' ), $tags_list ); ?>
					</span>
					<?php endif; // End if $tags_list ?>
					
					<?php echo "/ <a href=".get_permalink().">". __( 'Read More', 'tdgalactica' )."</a>"; ?> 
					
				<?php endif; // End if 'post' == get_post_type() ?>
			</div>
	
			<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
			
			<div class="three columns comment-link-container">
				<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'tdgalactica' ), __( '1 Comment', 'tdgalactica' ), __( '% Comments', 'tdgalactica' ) ); ?></span>
			</div>
			<?php endif; ?>
		</div>
	</footer><!-- .entry-meta -->
</article><!-- #post-<?php the_ID(); ?> -->
