<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package tdgalactica
 * @since tdgalactica 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<div id="stars-two"></div>
	<div id="stars-one"></div>
	<div id="stars-three"></div>
	
	<?php do_action( 'before' ); ?>
	<header id="masthead" class="site-header" role="banner">
		
		<div class="brand-box">
			<div class="row">
  				
  				<ul class="three columns inline-list left-navigation">
  					<li><a id="gohome" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"></a></li>
  					<li id="website-menu"></li>
  					<li id="main-sidebar"></li>
  				</ul>
  				
  				<div class="six columns">
    				 <h1 class="site-title">
    				 	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a> 
    				 </h1>
    				 <h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
  				</div>
  				
  				<ul class="three columns inline-list right-navigation">
  					<li id="gotop"></li>
  					<li id="gobottom"></li>
  					<li id="search-nav"></li>
  				</ul>
  				
			</div>
		</div>
	</header><!-- #masthead .site-header -->

	<div id="main" class="site-main row">
